<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__gatt__eatt__connection__indication__event__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_gatt_eatt_connection_indication_event_t</compoundname>
    <includes local="no">wiced_bt_gatt.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__gatt__eatt__connection__indication__event__t_1a490527b4b40e9083464af0734e2ff0b5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_gatt_eatt_connection_indication_event_t::bdaddr</definition>
        <argsstring />
        <name>bdaddr</name>
        <briefdescription>
<para>Bluetooth address of remote device. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="816" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="816" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__indication__event__t_1a3caa96712d568ac5bcc3ebcbf5167a64" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1gae0d25ec063a889c537f3a77010cf5ef0">wiced_bt_transport_t</ref></type>
        <definition>wiced_bt_transport_t wiced_bt_gatt_eatt_connection_indication_event_t::transport</definition>
        <argsstring />
        <name>transport</name>
        <briefdescription>
<para>Transport type of the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="817" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="817" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__indication__event__t_1a33b5ec276aa01fc2e0328cd25aa138e0" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt__gatt_1ga28e10c1787e3db895975e3f614315273">wiced_bt_eatt_lcid_list</ref></type>
        <definition>wiced_bt_eatt_lcid_list wiced_bt_gatt_eatt_connection_indication_event_t::lcids</definition>
        <argsstring />
        <name>lcids</name>
        <briefdescription>
<para>List of the l2cap cids (channel ids) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="818" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="818" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__indication__event__t_1ae68661f90d0725eaba6d3ea342f68130" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_gatt_eatt_connection_indication_event_t::mtu</definition>
        <argsstring />
        <name>mtu</name>
        <briefdescription>
<para>Peer MTU. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="819" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="819" />
      </memberdef>
      <memberdef id="structwiced__bt__gatt__eatt__connection__indication__event__t_1a40dcd29d29ec92a1c6f03e88c166740e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_gatt_eatt_connection_indication_event_t::trans_id</definition>
        <argsstring />
        <name>trans_id</name>
        <briefdescription>
<para>Transaction id for the connection. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="820" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="820" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT connection request (used by GATT_EATT_CONNECTION_INDICATION_EVT notification) To be returned by application for accepting/rejecting the connection with the wiced_bt_eatt_connection_response. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="821" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" bodystart="814" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_gatt.h" line="815" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__indication__event__t_1a490527b4b40e9083464af0734e2ff0b5" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_indication_event_t</scope><name>bdaddr</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__indication__event__t_1a33b5ec276aa01fc2e0328cd25aa138e0" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_indication_event_t</scope><name>lcids</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__indication__event__t_1ae68661f90d0725eaba6d3ea342f68130" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_indication_event_t</scope><name>mtu</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__indication__event__t_1a40dcd29d29ec92a1c6f03e88c166740e" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_indication_event_t</scope><name>trans_id</name></member>
      <member prot="public" refid="structwiced__bt__gatt__eatt__connection__indication__event__t_1a3caa96712d568ac5bcc3ebcbf5167a64" virt="non-virtual"><scope>wiced_bt_gatt_eatt_connection_indication_event_t</scope><name>transport</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>